#!/bin/bash

get_profile()
{
	current_profile=$(cat /sys/firmware/acpi/platform_profile)
}

notify_profile()
{
	get_profile
	case $current_profile in
		performance )    notify-send 'Performance Mode Button' 'Switched to Extreme Performance Mode.' --category=device --urgency=normal --app-name='FN+Q' --transient --icon=power-profile-performance-symbolic --expire-time=3500
			;;
		balanced )       notify-send 'Performance Mode Button' 'Switched to Intelligent Cooling Mode.' --category=device --urgency=normal --app-name='FN+Q' --transient --icon=power-profile-balanced-symbolic --expire-time=3500
			;;
		low-power )      notify-send 'Performance Mode Button' 'Switched to Battery Saving Mode.' --category=device --urgency=normal --app-name='FN+Q' --transient --icon=power-profile-power-saver-symbolic --expire-time=3500
			;;
		* )	exit 1
	esac

}

notify_profile
